DCMTK - Bug #846

DCMTK by default ignores DCMDICTPATH since release 3.6.3 (when compiled with built-in
dictionary)
Description

Apparently the DCMTK 3.6.3 binaries for Windows ignore the DCMDICTPATH environment variable and cannot be instructed to read
a private dictionary.
This is caused by the following commit from November 2017:

49p2a66de67628al03ca3577c6bl3991£53ecf01

Binaries compiled with the CMake defaults should always honor the DCMDICTPATH environment variable, which now requires
macro ENABLE_EXTERNAL_DICTIONARY to be defined.

History

#1 - 2018-09-04 18:27 - Michael Onken

- Status changed from New to Closed

Closed by commit c9d5b7d15fe9d8532680e72b1e4838b224b4bfc6.

The commit (re-)enables DCMTK_ENABLE_EXTERNAL_DICTIONARY per default in CMake configuration on Windows systems.

#2 - 2018-09-06 14:13 - Marco Eichelberg
- Project changed from 3 to DCMTK

- Status changed from Closed to Reopened

Re-opened the bug entry since the above mentioned commit does not fully solve the problem.

#3 - 2018-09-18 18:08 - Michael Onken

Commit 52b3b7 does make sure DCMDICTPATH dictionary are now loaded in any case, i.e. even if external default dictionary is turned off via

CMake option (as it is the case for the Windows default configuration).

#4 - 2018-09-18 18:09 - Michael Onken

- Status changed from Reopened to Closed

2025-09-06 1/1



http://www.tcpdf.org

